# Device Table

## \<DeviceTable /> [(preview)](https://react.seam.co/?path=/docs/components-devicetable--docs)

The devices table shows a list of devices and their statuses.

```
<SeamProvider clientSessionToken={clientSessionToken}>
    <DeviceTable />
</SeamProvider
```

## Responsive Views

### Size: Desktop

### Size: Modal

## Props

<table><thead><tr><th width="265">Name</th><th width="123.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>deviceIds</code></td><td>array</td><td>Optional list of specific device ids to return when requesting devices from the Seam API.</td></tr><tr><td><code>connectedAccountIds</code></td><td>array</td><td>Optional list of connected account ids to filter devices by when requesting devices from the Seam API.</td></tr><tr><td><code>disableLockUnlock</code></td><td>boolean</td><td>Hide the lock/unlock button for devices. Default: <code>false</code>.</td></tr><tr><td><code>disableSearch</code></td><td>boolean</td><td>Hide the search box. Default: <code>false</code>.</td></tr><tr><td><code>deviceFilter</code></td><td>function</td><td>Optional filter function to filter the listed devices.<br><br>Signature: <code>(device: Device, searchInputValue: string) => boolean</code></td></tr><tr><td><code>deviceComparator</code></td><td>function</td><td>Optional comparator function to order the listed devices.<br><br>Signature: <code>(deviceA: Device, deviceB: Device) => number</code></td></tr><tr><td><code>onDeviceClick</code></td><td>function</td><td>Optional callback fired when a device is clicked.<br><br>Signature: <code>(deviceId: string) => void</code></td></tr><tr><td><code>preventDefaultOnDeviceClick</code></td><td>boolean</td><td>Prevent the default behavior when a device is clicked. Default: <code>false</code></td></tr><tr><td><code>onBack</code></td><td>function</td><td>Optional callback fired when the Back chevron button is clicked.<br><br>Signature: <code>() => void</code></td></tr><tr><td><code>className</code></td><td>string</td><td>Optional class name to add to the rendered component's containing element.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/ui-components/overview/react-components/device-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
